"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeGraphiQLHandler = void 0;
const ruruServer = import("ruru/server");
let ruruHTML = undefined;
// TODO: use a specific version of mermaid
function makeGraphiQLHandler(_params) {
    return async () => {
        if (!ruruHTML) {
            ruruHTML = (await ruruServer).ruruHTML;
        }
        const config = {};
        return {
            statusCode: 200,
            type: "html",
            payload: ruruHTML(config),
        };
    };
}
exports.makeGraphiQLHandler = makeGraphiQLHandler;
//# sourceMappingURL=graphiql.js.map