/// <reference types="node" />
import type { PromiseOrDirect } from "grafast";
import type { RequestListener } from "http";
import type { ServerParams } from "../interfaces.js";
export interface Grafserv {
    handler: RequestListener;
    release(): Promise<void>;
    onRelease(cb: () => PromiseOrDirect<void>): void;
    setParams(result: ServerParams): void;
}
export declare function grafserv(preset: GraphileConfig.Preset, initialParams?: PromiseOrDirect<ServerParams>): Grafserv;
//# sourceMappingURL=index.d.ts.map